// C++ code
#include <Wire.h>
#define I2C_SLAVE_ADDRESS 0x09
#include <LiquidCrystal.h>
LiquidCrystal lcd(4, 5, 10, 11, 12, 13);
#define BAUDRATE 115200
static char test_byte;
int pirSensor = 8; 
int pirReader = 0;

void setup() {
  pinMode(pirSensor, INPUT);
  Serial.begin(BAUDRATE);
  Wire.begin();
  lcd.begin(16, 2); // PORNESTE ECRANUL LCD
  lcd.setCursor(2, 0); //LCD Cursor pentru a alege unde sa scriu
  lcd.print("Alarma");
  lcd.setCursor(2, 1);
  lcd.print("Proximitate");
  delay(1000);
  lcd.clear(); 
}
void loop() {
	pirReader = digitalRead(pirSensor);
  if (pirReader == HIGH) {
    Serial.print("yes\n");
    Wire.beginTransmission(I2C_SLAVE_ADDRESS);
    test_byte = 'y';
    Wire.write(test_byte);
    Wire.endTransmission();
    lcd.setCursor(2, 0);
    lcd.print("warning");
    lcd.setCursor(4, 1);
    lcd.print("warning");
    delay(500);
  } else {
    Serial.print("no\n");
    Wire.beginTransmission(I2C_SLAVE_ADDRESS);
    test_byte = 'n';
    Wire.write(test_byte);
    Wire.endTransmission();
    lcd.clear();
    lcd.setCursor(2, 0);
    lcd.print("area");
    lcd.setCursor(4, 1);
    lcd.print("clear");
    delay(500);
  }
  delay(10); }